Subject: Re: [PATCH] TCPCT-1: adding a sysctl

From: William Allen Simpson <[email-masked]>
Date: Fri, 02 Oct 2009 20:32:09 -0400

David Miller wrote:
> From: William Allen Simpson <[email-masked]>
>> Ummm, I was following the suggested practice of breaking it into
>> smaller
>> pieces for review.  This is just the control functions and headers.
>> I've
>> actually completed most of the port, and am champing at the bit.
> 
> We can't review the helper functions and infrastructure properly until
> we can see how they are actually used.
> 
> Seeing how they are used shows us how well they are designed.
> 
> Otherwise asking for a is absolutely pointless as we have no context
> in which to judge the code you're showing us.
> 
Thanks.  I'd hand-split my code into much smaller patches for review.
Now, I know there are patches that are *too* small....

I've merged the several things you've mentioned, and will post it soon
(after making sure it compiles and runs separately).